Package com.complexible.common.rdf.query.resultio

# Class TextTablePathQueryResultWriter

java.lang.Object
com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter
com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter
com.complexible.common.rdf.query.resultio.TextTablePathQueryResultWriter

All Implemented Interfaces:
  `PathQueryResultWriter`, `QueryResultWriter<BindingSet>`, `SelectQueryResultWriter`, `QueryResultHandler<BindingSet>`, `SelectQueryResultHandler`

public final class TextTablePathQueryResultWriter extends TextTableQueryResultWriter implements PathQueryResultWriter
Renders path query results in a table where each row shows an edge and multiple paths are separated by an empty row.

Since:
  5.0.4
Version:
  6.0
Author:
  Pavel Klinov

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `TextTableQueryResultWriter.TextTableQueryResultWriterFactory`

- ## Field Summary

  ### Fields inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `FORMAT`

  ### Fields inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `mColCount, mColumns, mExporter, mOut, mResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextTablePathQueryResultWriter(OutputStream theOut, List<String> thePathStartVariableNames, List<String> thePathEndVariableNames, List<String> theEdgeVariableNames, Options theOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end()`
  Signal that query processing has completed
  `void`
  `handlePath(Path thePath)`
  `void`
  `variables(List<String> theSelectVars)`
  The variables in the projection of the query

  ### Methods inherited from class com.complexible.common.rdf.query.resultio.TextTableQueryResultWriter

  `createExporter, getStartTime, isShowSummary, setShowSummary, setStartTime`

  ### Methods inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `addNamespaces, format, handle, links, namespace, start`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.complexible.common.rdf.query.resultio.PathQueryResultWriter

  `handle`

  ### Methods inherited from interface com.stardog.stark.query.io.QueryResultWriter

  `format, links, namespace, start`

- ## Constructor Details

  - ### TextTablePathQueryResultWriter

    public TextTablePathQueryResultWriter(OutputStream theOut, List<String> thePathStartVariableNames, List<String> thePathEndVariableNames, List<String> theEdgeVariableNames, Options theOptions)

- ## Method Details

  - ### variables

    public void variables(@Nonnull List<String> theSelectVars)
    The variables in the projection of the query
    Specified by:
      `variables` in interface `SelectQueryResultHandler`
    Overrides:
      `variables` in class `AbstractDataExporterQueryResultWriter`
    Parameters:
      `theSelectVars` - the variables
    See Also:
      - `SelectQueryResult.variables()`

  - ### end

    public void end()
    Signal that query processing has completed
    Specified by:
      `end` in interface `QueryResultHandler<BindingSet>`
    Specified by:
      `end` in interface `QueryResultWriter<BindingSet>`
    Overrides:
      `end` in class `TextTableQueryResultWriter`

  - ### handlePath

    public void handlePath(Path thePath)
    Specified by:
      `handlePath` in interface `PathQueryResultWriter`